Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057889 - Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist
Summary: Can't load fallback CSS resource: Failed to import: The resource at '/org/gno...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-themes-standard
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Cosimo Cecchi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 19:19 UTC by Rick Richardson
Modified: 2015-02-17 19:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:56:10 UTC


Attachments (Terms of Use)

Description Rick Richardson 2014-01-25 19:19:55 UTC
Worked good until two-three weeks ago.  Running cinnamon.  Now, I get:

$ gthumb xxx.jpg

** (gthumb:1955): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

** (gthumb:1955): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

$ gnome-sudoku

** (gnome-sudoku:2228): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

** (gnome-sudoku:2228): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

etc...

$ root yum update
No packages marked for update

$ yum list adwaita-gtk3-theme
Installed Packages
adwaita-gtk3-theme.x86_64                 3.8.4-1.fc19                  @updates

Comment 1 leigh scott 2014-01-25 21:19:19 UTC
It affects other DE's as well

Dan uses Mate DE

https://bugzilla.redhat.com/show_bug.cgi?id=975521#c16

Comment 2 Rick Richardson 2014-01-26 07:55:20 UTC
This does work correctly with GNOME Shell.

It doesn't work with cinnamon, which is what I use.  Something went wrong doing the yum update about 3 weeks ago.

Comment 3 Wolfgang Ulbrich 2014-01-26 08:29:19 UTC
Which theme are you using? (not the cinnamon theme)
This happens mostly if you use a theme which is based on adwaita theme, but don't neeed the fallback g_resource file.
Those themes works well without this file, it is ony a warning.
If you choose the adwaita theme the warning will gone.
Imo, this obsolete question for that g_resource file needs to be removed.
The fallback modus doesn't exits anymore.

Comment 4 Rick Richardson 2014-01-26 08:41:52 UTC
I use the default theme. Because I don't use themes at all!

$ cinnamon-settings -> Themes -> Cinnanom

Again, this was not a problem until 2-3 weeks ago.

Comment 5 Wolfgang Ulbrich 2014-01-26 08:56:30 UTC
Which theme are you using under cinnamon-settings -> Themes -> other settings tab  ?

Comment 6 Rick Richardson 2014-01-26 09:00:14 UTC
$ cinnamon-settings -> Themes -> other settings tab

Controls Zukitwo
Icons gnome
Windows borders Clearlooks
Mouse pointer Adwaita
Keybindings Default

Comment 7 Wolfgang Ulbrich 2014-01-26 09:06:10 UTC
Controls Zukitwo

As i said before zukwito theme is based on adwaita theme but don't ship the g_resource file gtk-fallback.css, which is in Adwaita theme.
I f you choose
Controls Adwaita
the warning will gone.

Comment 8 leigh scott 2014-01-26 09:11:08 UTC
(In reply to Rick Richardson from comment #2)
> This does work correctly with GNOME Shell.
> 
> It doesn't work with cinnamon, which is what I use.  Something went wrong
> doing the yum update about 3 weeks ago.

What doesn't work?

Comment 9 Rick Richardson 2014-01-26 09:12:43 UTC
$ gnome-sudoku

** (gnome-sudoku:2228): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

** (gnome-sudoku:2228): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

etc...

Comment 10 leigh scott 2014-01-26 09:14:50 UTC
(In reply to Rick Richardson from comment #9)
> $ gnome-sudoku
> 
> ** (gnome-sudoku:2228): WARNING **: Can't load fallback CSS resource: Failed
> to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not
> exist
> 
> ** (gnome-sudoku:2228): WARNING **: Can't load fallback CSS resource: Failed
> to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not
> exist
> 
> etc...

They are harmless warnings, the apps are still functional!

Comment 11 Rick Richardson 2014-01-26 09:17:23 UTC
So I should do:

$ eog 2>/dev/null

$ gnome-suduko 2>/dev/null

etc...???

Comment 12 Wolfgang Ulbrich 2014-01-26 09:19:17 UTC
OK, some more explanation.
Zukitwo and other themes use the 'adwaita-theme-engine'.
That engine expected the gtk-fallback.css file which is shiped by the gnome-themes-standard.
But Zukitwo and other themes don't need that file for correct working.
The solution is that the question for that file needs to be removed from the theme-engine because the fallback modus from gnome doen't exits anymore.

Comment 13 William Bader 2014-02-25 10:05:03 UTC
I got this on Fedora 20.
I installed only the mate desktop.

$ sudo yum install adwaita-gtk3-theme gnome-themes gnome-themes-standard
Loaded plugins: langpacks, refresh-packagekit
Package adwaita-gtk3-theme-3.10.0-1.fc20.x86_64 already installed and latest version
Package gnome-themes-2.32.0-11.fc20.noarch already installed and latest version
Package gnome-themes-standard-3.10.0-1.fc20.x86_64 already installed and latest version
Nothing to do
$ /usr/bin/emacs

** (emacs:28523): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist

** (emacs:28523): WARNING **: Can't load fallback CSS resource: Failed to import: The resource at '/org/gnome/adwaita/gtk-fallback.css' does not exist
$ 

Changing the theme with
  System -> Preferences -> Look and Feel -> Appearance
helped.
Clearlooks and TraditionalOk both worked.

Comment 14 Fedora End Of Life 2015-01-09 21:08:41 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2015-02-17 19:56:10 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.